Get editorconfig definition
curl --request GET \
--url https://gogs.example.com/api/v1/repos/{owner}/{repo}/editorconfig/{filename} \
--header 'Authorization: <api-key>'{
"charset": "<string>",
"indent_style": "<string>",
"indent_size": "<string>",
"end_of_line": "<string>"
}Repositories
Get editorconfig definition
Returns the editorconfig definition for the given filename in the repository.
GET
/
repos
/
{owner}
/
{repo}
/
editorconfig
/
{filename}
Get editorconfig definition
curl --request GET \
--url https://gogs.example.com/api/v1/repos/{owner}/{repo}/editorconfig/{filename} \
--header 'Authorization: <api-key>'{
"charset": "<string>",
"indent_style": "<string>",
"indent_size": "<string>",
"end_of_line": "<string>"
}Authorizations
Personal access token. Use format: token {YOUR_ACCESS_TOKEN}
Path Parameters
Owner of the repository
Name of the repository
Filename to get the editorconfig definition for